public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: opensmtpd-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:22:46 GMT	[thread overview]
Message-ID: <178913296611.1.9330253861867065896.tests-selinux-4cb40a2a477f@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 4cb40a2a477f223fd4b1c3d22240ea070377d9f4
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-05-05T15:35:01+00:00
            Stats  : +14/-12 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/4cb40a2a477f223fd4b1c3d22240ea070377d9f4?branch=pr775-checkpolicy-revdeps

            Log:
            opensmtpd-and-similar: Adjust subtest relevancy

Do not test "bz#2246115" and "bz#2208696" on RHEL-9.3 or below.

---
diff --git a/selinux-policy/opensmtpd-and-similar/runtest.sh b/selinux-policy/opensmtpd-and-similar/runtest.sh
index be11811..c98321a 100755
--- a/selinux-policy/opensmtpd-and-similar/runtest.sh
+++ b/selinux-policy/opensmtpd-and-similar/runtest.sh
@@ -58,19 +58,21 @@ rlJournalStart
     rlPhaseEnd
 
     if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
-    rlPhaseStartTest "bz#2208696"
-        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
-        rlSEMatchPathCon "/var/run" "var_run_t"
-        rlSEMatchPathCon "/var/run/smtpd.sock" "sendmail_var_run_t"
-        rlSESearchRule "allow sendmail_t sendmail_t : capability { sys_chroot fowner } [ ]"
-        rlSESearchRule "type_transition sendmail_t var_run_t : sock_file sendmail_var_run_t"
-        rlSESearchRule "allow sendmail_t sendmail_var_run_t : sock_file { create setattr unlink write } [ ]"
-    rlPhaseEnd
+        if ! rlIsRHEL "<9.4" ; then
+        rlPhaseStartTest "bz#2208696"
+            rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+            rlSEMatchPathCon "/var/run" "var_run_t"
+            rlSEMatchPathCon "/var/run/smtpd.sock" "sendmail_var_run_t"
+            rlSESearchRule "allow sendmail_t sendmail_t : capability { sys_chroot fowner } [ ]"
+            rlSESearchRule "type_transition sendmail_t var_run_t : sock_file sendmail_var_run_t"
+            rlSESearchRule "allow sendmail_t sendmail_var_run_t : sock_file { create setattr unlink write } [ ]"
+        rlPhaseEnd
 
-    rlPhaseStartTest "bz#2246115"
-        rlSEMatchPathCon "/run/smtpd.sock" "sendmail_var_run_t"
-        rlSESearchRule "allow sendmail_t sendmail_t : unix_stream_socket { connectto } [ ]"
-    rlPhaseEnd
+        rlPhaseStartTest "bz#2246115"
+            rlSEMatchPathCon "/run/smtpd.sock" "sendmail_var_run_t"
+            rlSESearchRule "allow sendmail_t sendmail_t : unix_stream_socket { connectto } [ ]"
+        rlPhaseEnd
+        fi
 
     rlPhaseStartTest "RHEL-15175"
         # actions on the /var/run/smtpd.pid file

                 reply	other threads:[~2026-09-11 13:22 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913296611.1.9330253861867065896.tests-selinux-4cb40a2a477f@fedoraproject.org \
    --to=sbroz@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox